diff options
author | Colin Watson <cjwatson@debian.org> | 2015-08-22 10:05:45 +0100 |
---|---|---|
committer | Colin Watson <cjwatson@debian.org> | 2015-08-22 10:05:45 +0100 |
commit | 58ddb8ad21f21f5358db0204c4ba9abf94a1ca11 (patch) | |
tree | c55df1f23e6fa0fb87a96d8ec4c06a68c3a82b45 /configure | |
parent | 544df7a04ae5b5c1fc30be7c445ad685d7a02dc9 (diff) | |
parent | 1dc8d93ce69d6565747eb44446ed117187621b26 (diff) |
Import openssh_7.0p1.orig.tar.gz
Diffstat (limited to 'configure')
-rwxr-xr-x | configure | 172 |
1 files changed, 169 insertions, 3 deletions
@@ -5771,7 +5771,7 @@ fi | |||
5771 | 5771 | ||
5772 | 5772 | ||
5773 | openssl=yes | 5773 | openssl=yes |
5774 | ssh1=yes | 5774 | ssh1=no |
5775 | 5775 | ||
5776 | # Check whether --with-openssl was given. | 5776 | # Check whether --with-openssl was given. |
5777 | if test "${with_openssl+set}" = set; then | 5777 | if test "${with_openssl+set}" = set; then |
@@ -16524,7 +16524,6 @@ fi | |||
16524 | 16524 | ||
16525 | 16525 | ||
16526 | 16526 | ||
16527 | |||
16528 | for ac_func in \ | 16527 | for ac_func in \ |
16529 | Blowfish_initstate \ | 16528 | Blowfish_initstate \ |
16530 | Blowfish_expandstate \ | 16529 | Blowfish_expandstate \ |
@@ -16585,7 +16584,6 @@ for ac_func in \ | |||
16585 | pstat \ | 16584 | pstat \ |
16586 | readpassphrase \ | 16585 | readpassphrase \ |
16587 | reallocarray \ | 16586 | reallocarray \ |
16588 | realpath \ | ||
16589 | recvmsg \ | 16587 | recvmsg \ |
16590 | rresvport_af \ | 16588 | rresvport_af \ |
16591 | sendmsg \ | 16589 | sendmsg \ |
@@ -18682,6 +18680,174 @@ done | |||
18682 | 18680 | ||
18683 | 18681 | ||
18684 | 18682 | ||
18683 | for ac_func in realpath | ||
18684 | do | ||
18685 | as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` | ||
18686 | { echo "$as_me:$LINENO: checking for $ac_func" >&5 | ||
18687 | echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } | ||
18688 | if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then | ||
18689 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
18690 | else | ||
18691 | cat >conftest.$ac_ext <<_ACEOF | ||
18692 | /* confdefs.h. */ | ||
18693 | _ACEOF | ||
18694 | cat confdefs.h >>conftest.$ac_ext | ||
18695 | cat >>conftest.$ac_ext <<_ACEOF | ||
18696 | /* end confdefs.h. */ | ||
18697 | /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func. | ||
18698 | For example, HP-UX 11i <limits.h> declares gettimeofday. */ | ||
18699 | #define $ac_func innocuous_$ac_func | ||
18700 | |||
18701 | /* System header to define __stub macros and hopefully few prototypes, | ||
18702 | which can conflict with char $ac_func (); below. | ||
18703 | Prefer <limits.h> to <assert.h> if __STDC__ is defined, since | ||
18704 | <limits.h> exists even on freestanding compilers. */ | ||
18705 | |||
18706 | #ifdef __STDC__ | ||
18707 | # include <limits.h> | ||
18708 | #else | ||
18709 | # include <assert.h> | ||
18710 | #endif | ||
18711 | |||
18712 | #undef $ac_func | ||
18713 | |||
18714 | /* Override any GCC internal prototype to avoid an error. | ||
18715 | Use char because int might match the return type of a GCC | ||
18716 | builtin and then its argument prototype would still apply. */ | ||
18717 | #ifdef __cplusplus | ||
18718 | extern "C" | ||
18719 | #endif | ||
18720 | char $ac_func (); | ||
18721 | /* The GNU C library defines this for functions which it implements | ||
18722 | to always fail with ENOSYS. Some functions are actually named | ||
18723 | something starting with __ and the normal name is an alias. */ | ||
18724 | #if defined __stub_$ac_func || defined __stub___$ac_func | ||
18725 | choke me | ||
18726 | #endif | ||
18727 | |||
18728 | int | ||
18729 | main () | ||
18730 | { | ||
18731 | return $ac_func (); | ||
18732 | ; | ||
18733 | return 0; | ||
18734 | } | ||
18735 | _ACEOF | ||
18736 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
18737 | if { (ac_try="$ac_link" | ||
18738 | case "(($ac_try" in | ||
18739 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
18740 | *) ac_try_echo=$ac_try;; | ||
18741 | esac | ||
18742 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
18743 | (eval "$ac_link") 2>conftest.er1 | ||
18744 | ac_status=$? | ||
18745 | grep -v '^ *+' conftest.er1 >conftest.err | ||
18746 | rm -f conftest.er1 | ||
18747 | cat conftest.err >&5 | ||
18748 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
18749 | (exit $ac_status); } && { | ||
18750 | test -z "$ac_c_werror_flag" || | ||
18751 | test ! -s conftest.err | ||
18752 | } && test -s conftest$ac_exeext && | ||
18753 | $as_test_x conftest$ac_exeext; then | ||
18754 | eval "$as_ac_var=yes" | ||
18755 | else | ||
18756 | echo "$as_me: failed program was:" >&5 | ||
18757 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
18758 | |||
18759 | eval "$as_ac_var=no" | ||
18760 | fi | ||
18761 | |||
18762 | rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | ||
18763 | conftest$ac_exeext conftest.$ac_ext | ||
18764 | fi | ||
18765 | ac_res=`eval echo '${'$as_ac_var'}'` | ||
18766 | { echo "$as_me:$LINENO: result: $ac_res" >&5 | ||
18767 | echo "${ECHO_T}$ac_res" >&6; } | ||
18768 | if test `eval echo '${'$as_ac_var'}'` = yes; then | ||
18769 | cat >>confdefs.h <<_ACEOF | ||
18770 | #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 | ||
18771 | _ACEOF | ||
18772 | |||
18773 | { echo "$as_me:$LINENO: checking if realpath works with non-existent files" >&5 | ||
18774 | echo $ECHO_N "checking if realpath works with non-existent files... $ECHO_C" >&6; } | ||
18775 | if test "$cross_compiling" = yes; then | ||
18776 | { echo "$as_me:$LINENO: WARNING: cross compiling: assuming working" >&5 | ||
18777 | echo "$as_me: WARNING: cross compiling: assuming working" >&2;} | ||
18778 | |||
18779 | else | ||
18780 | cat >conftest.$ac_ext <<_ACEOF | ||
18781 | /* confdefs.h. */ | ||
18782 | _ACEOF | ||
18783 | cat confdefs.h >>conftest.$ac_ext | ||
18784 | cat >>conftest.$ac_ext <<_ACEOF | ||
18785 | /* end confdefs.h. */ | ||
18786 | |||
18787 | #include <limits.h> | ||
18788 | #include <stdlib.h> | ||
18789 | #include <errno.h> | ||
18790 | |||
18791 | int | ||
18792 | main () | ||
18793 | { | ||
18794 | |||
18795 | char buf[PATH_MAX]; | ||
18796 | if (realpath("/opensshnonexistentfilename1234", buf) == NULL) | ||
18797 | if (errno == ENOENT) | ||
18798 | exit(1); | ||
18799 | exit(0); | ||
18800 | |||
18801 | ; | ||
18802 | return 0; | ||
18803 | } | ||
18804 | _ACEOF | ||
18805 | rm -f conftest$ac_exeext | ||
18806 | if { (ac_try="$ac_link" | ||
18807 | case "(($ac_try" in | ||
18808 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
18809 | *) ac_try_echo=$ac_try;; | ||
18810 | esac | ||
18811 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
18812 | (eval "$ac_link") 2>&5 | ||
18813 | ac_status=$? | ||
18814 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
18815 | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' | ||
18816 | { (case "(($ac_try" in | ||
18817 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
18818 | *) ac_try_echo=$ac_try;; | ||
18819 | esac | ||
18820 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
18821 | (eval "$ac_try") 2>&5 | ||
18822 | ac_status=$? | ||
18823 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
18824 | (exit $ac_status); }; }; then | ||
18825 | { echo "$as_me:$LINENO: result: yes" >&5 | ||
18826 | echo "${ECHO_T}yes" >&6; } | ||
18827 | else | ||
18828 | echo "$as_me: program exited with status $ac_status" >&5 | ||
18829 | echo "$as_me: failed program was:" >&5 | ||
18830 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
18831 | |||
18832 | ( exit $ac_status ) | ||
18833 | |||
18834 | cat >>confdefs.h <<\_ACEOF | ||
18835 | #define BROKEN_REALPATH 1 | ||
18836 | _ACEOF | ||
18837 | |||
18838 | { echo "$as_me:$LINENO: result: no" >&5 | ||
18839 | echo "${ECHO_T}no" >&6; } | ||
18840 | fi | ||
18841 | rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | ||
18842 | fi | ||
18843 | |||
18844 | |||
18845 | |||
18846 | fi | ||
18847 | done | ||
18848 | |||
18849 | |||
18850 | |||
18685 | 18851 | ||
18686 | for ac_func in gettimeofday time | 18852 | for ac_func in gettimeofday time |
18687 | do | 18853 | do |